# Interface XSProcessorRequestType

All Known Implementing Classes:
  `XSProcessorRequest`

@Immutable public interface XSProcessorRequestType
A document processor request.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `XSProcessorRequestType.Stylesheet`
  The stylesheet that will be used during processing.
  `static enum`
  `XSProcessorRequestType.Task`
  A document processor task.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<Path>`
  `brandingFile()`
  `default void`
  `checkPreconditions()`
  Check preconditions for the type.
  `default Path`
  `messageFile()`
  `Path`
  `outputDirectory()`
  `Optional<String>`
  `outputName()`
  `Path`
  `sourceFile()`
  `default XSProcessorRequestType.Stylesheet`
  `stylesheet()`
  `default XSProcessorRequestType.Task`
  `task()`
  `default Path`
  `traceFile()`
  `Optional<Path>`
  `typeDescriptionFile()`
  `default boolean`
  `writeResources()`

- ## Method Details

  - ### outputDirectory

    Path outputDirectory()
    Returns:
      The directory to which output files will be written

  - ### sourceFile

    Path sourceFile()
    Returns:
      The source document

  - ### task

    @Default default XSProcessorRequestType.Task task()
    Returns:
      The task that will be executed

  - ### stylesheet

    @Default default XSProcessorRequestType.Stylesheet stylesheet()
    Returns:
      The stylesheet that will be used

  - ### writeResources

    @Default default boolean writeResources()
    Returns:
      `true` if resources (such as CSS) should be copied into the output directory

  - ### traceFile

    @Default default Path traceFile()
    Returns:
      The file to which trace messages will be written

  - ### messageFile

    @Default default Path messageFile()
    Returns:
      The file to which XSLT messages will be written

  - ### brandingFile

    Optional<Path> brandingFile()
    Returns:
      The branding file that will be included into output documents

  - ### outputName

    Optional<String> outputName()
    Returns:
      The name of the output file, if relevant to the operation

  - ### typeDescriptionFile

    Optional<Path> typeDescriptionFile()
    Returns:
      The type description file used to validate type attributes.
    Since:
      2.0.0

  - ### checkPreconditions

    @Check default void checkPreconditions()
    Check preconditions for the type.